CamelPOP3Store
3
CAMEL Library

# CamelPOP3Store

## Synopsis

                        CamelPOP3Store;
    void                camel_pop3_store_expunge            (CamelPOP3Store *store,
                                                             CamelException *ex);
    int                 camel_pop3_command                  (CamelPOP3Store *store,
                                                             char **ret,
                                                             CamelException *ex,
                                                             char *fmt,
                                                             ...);
    char*               camel_pop3_command_get_additional_data
                                                            (CamelPOP3Store *store,
                                                             int total,
                                                             CamelException *ex);

## Description

## Details

### CamelPOP3Store

    typedef struct {
    	CamelStore parent_object;

    	CamelPOP3Engine *engine; /* pop processing engine */

    	struct _CamelDataCache *cache;

    	guint delete_after;
    } CamelPOP3Store;

### camel_pop3_store_expunge ()

    void                camel_pop3_store_expunge            (CamelPOP3Store *store,
                                                             CamelException *ex);

Expunge messages from the store. This will result in the connection being closed, which may cause later commands to fail if they can't reconnect.

`store` :

  the store

`ex` :

  a CamelException

### camel_pop3_command ()

    int                 camel_pop3_command                  (CamelPOP3Store *store,
                                                             char **ret,
                                                             CamelException *ex,
                                                             char *fmt,
                                                             ...);

`store` :

`ret` :

`ex` :

`fmt` :

`...` :

Returns :

### camel_pop3_command_get_additional_data ()

    char*               camel_pop3_command_get_additional_data
                                                            (CamelPOP3Store *store,
                                                             int total,
                                                             CamelException *ex);

`store` :

`total` :

`ex` :

Returns :